Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_RT_Transport_Descriptor Class Reference

Transport Descriptor for RTCORBA. More...

`#include <RT_Transport_Descriptor.h>`

Inheritance diagram for TAO_RT_Transport_Descriptor:

[legend]
Collaboration diagram for TAO_RT_Transport_Descriptor:

[legend]
List of all members.

## Public Methods
| TAO_RT_Transport_Descriptor (TAO_Endpoint *endpoint, CORBA::Boolean flag=0)
| Constuctor.
| ~TAO_RT_Transport_Descriptor ()
| Destructor.
void | insert (TAO_RT_Transport_Descriptor_Property *descriptor_property)
| Insert Properties.
virtual TAO_Transport_Descriptor_Interface * | duplicate (void)
| = TAO_Transport_Descriptor_Interface methods
virtual CORBA::Boolean | is_equivalent (const TAO_Transport_Descriptor_Interface *other_prop)
| Try to determine if this object is same as the <other_prop>.
virtual u_long | hash (void) const
| Generate hash value for our class.
## Private Attributes
TAO_RT_Transport_Descriptor_Property * | property_list_
| Stack of properties.
int | delete_properties_
| Flag to delete properties.

## Detailed Description

Transport Descriptor for RTCORBA.

The TAO_RT_Transport_Descriptor contains Descriptor Properties. It uses the "Chain of Command" pattern in the implementation of the <_is_equivalent> method.

## Constructor & Destructor Documentation

ACE_INLINE TAO_RT_Transport_Descriptor::TAO_RT_Transport_Descriptor | ( | TAO_Endpoint * | endpoint,
|  | CORBA::Boolean | flag = 0
| ) |

| Constuctor.

TAO_RT_Transport_Descriptor::~TAO_RT_Transport_Descriptor | ( |  | ) |

| Destructor.

## Member Function Documentation

TAO_Transport_Descriptor_Interface * TAO_RT_Transport_Descriptor::duplicate | ( | void |  | ) | `[virtual]`

| = TAO_Transport_Descriptor_Interface methods This call allocates and copies the contents of this class and returns the pointer Implements TAO_Transport_Descriptor_Interface.

u_long TAO_RT_Transport_Descriptor::hash | ( | void |  | ) | const`[virtual]`

| Generate hash value for our class. Implements TAO_Transport_Descriptor_Interface.

ACE_INLINE void TAO_RT_Transport_Descriptor::insert | ( | TAO_RT_Transport_Descriptor_Property * | descriptor_property | ) |

| Insert Properties.

CORBA::Boolean TAO_RT_Transport_Descriptor::is_equivalent | ( | const TAO_Transport_Descriptor_Interface * | other_prop | ) | `[virtual]`

| Try to determine if this object is same as the <other_prop>. Implements TAO_Transport_Descriptor_Interface.

## Member Data Documentation

int TAO_RT_Transport_Descriptor::delete_properties_`[private]`

| Flag to delete properties.

TAO_RT_Transport_Descriptor_Property* TAO_RT_Transport_Descriptor::property_list_`[private]`

| Stack of properties.

The documentation for this class was generated from the following files:

- RT_Transport_Descriptor.h
- RT_Transport_Descriptor.cpp
- RT_Transport_Descriptor.inl